summaryrefslogtreecommitdiff
path: root/app-vim/webapi
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /app-vim/webapi
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'app-vim/webapi')
-rw-r--r--app-vim/webapi/Manifest1
-rw-r--r--app-vim/webapi/metadata.xml9
-rw-r--r--app-vim/webapi/webapi-0.3.ebuild21
3 files changed, 31 insertions, 0 deletions
diff --git a/app-vim/webapi/Manifest b/app-vim/webapi/Manifest
new file mode 100644
index 000000000000..17d5f238d413
--- /dev/null
+++ b/app-vim/webapi/Manifest
@@ -0,0 +1 @@
+DIST webapi-0.3.tar.gz 26388 BLAKE2B 878e9f760f9940b81647359fb8779d6386b4bd2d2190c77f2ef886a12a6d293f6f0e5829e05fe98e0c842cb927186f9e4a02dcddcdfe99d5e13d52ae43e7f775 SHA512 215516872a32f8d967a9bff6d13916d6571399184728c422babf486152fc4c3f57aa4a7fa7591d7205d4b2dd99138c36796d1f2d186d494d74cf5dd2fa7cdec8
diff --git a/app-vim/webapi/metadata.xml b/app-vim/webapi/metadata.xml
new file mode 100644
index 000000000000..3e401807d974
--- /dev/null
+++ b/app-vim/webapi/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>vim@gentoo.org</email>
+ <name>Gentoo Vim Project</name>
+</maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/app-vim/webapi/webapi-0.3.ebuild b/app-vim/webapi/webapi-0.3.ebuild
new file mode 100644
index 000000000000..84d31825dee7
--- /dev/null
+++ b/app-vim/webapi/webapi-0.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: interface to Web APIs"
+HOMEPAGE="https://github.com/mattn/webapi-vim"
+SRC_URI="https://github.com/mattn/${PN}-vim/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+KEYWORDS="amd64 x86 ~x64-macos"
+
+RDEPEND="net-misc/curl"
+
+S="${WORKDIR}/${PN}-vim-${PV}"
+
+src_prepare() {
+ default
+ rm -v Makefile || die
+}